Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003621TestLinkTest Plan (builds, milestones, test assign)public2010-07-21 20:082012-09-21 16:38
Reportergaochinf 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0003621: When create new test plan from existing plan, the 'current linked version' does not appear to work
DescriptionI'd like to copy an existing test plan and its list of test cases. I'd also like to copy the specific version of each case into the new test plan.

For example, if a test plan includes version 1 of a test case, then if I create a new plan based on the first test plan, I'd like the test case version 1 to again be included, not just the latest version of the test case.

There appears to be a way to do this from the Test Plan Management screens, but the selection for 'Current linked version' does not appear to work.

Steps To ReproduceCreate a test case with 2 versions. Create a test plan and add the case to it, version 1.

From Project > Test Plan Management, click 'Create' to create a new test plan.

On the entry fields for the new test plan, change "Create from existing Test Plan?" to the old plan and under 'Copy Test Cases' there are two radio buttons:

 Latest available version ( ) Current linked version ( )


Default choice is 'Latest available version'. In the resulting test plan, version 2 of the test case is added.

Go through and create a third test plan, change the selection to 'Current linked version'. In the resulting test plan, version 2 of the test case is included again.

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserfirefox 3.6
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0017471)
duy.tranquang (reporter)
2012-09-13 15:35

hello,

correct me if I am wrong but it seems not yet fixed in 1.9.3 version.
is there a way to deal with wuch issue? think of a patch of an older version of a release which requires to retrieve the version a the test case used for testing.

cheers,
(0017472)
fman (administrator)
2012-09-13 17:41

To answer your question:
>> correct me if I am wrong but it seems not yet fixed in 1.9.3 version.
I need to do a test, then I would like you to this test and confirm if issue is still open on 1.9.4 not on 1.9.3.
If you confirm we will try to give a look

We will not provide more fixes for 1.9.3, we plan to provide ONLY CRITICAL fixes for 1.9.4, and all other issues will be targeted 2.0.
(0017481)
duy.tranquang (reporter)
2012-09-14 08:31

thanks for your reply, I will try and let you know.
(0017529)
duy.tranquang (reporter)
2012-09-21 14:49

1.9.4 fixes the issue.
the "copy from existing TP" + "linked to current version" options work fine!

please close the bug

- Issue History
Date Modified Username Field Change
2010-07-21 20:08 gaochinf New Issue
2012-09-13 15:35 duy.tranquang Note Added: 0017471
2012-09-13 17:41 fman Note Added: 0017472
2012-09-14 08:31 duy.tranquang Note Added: 0017481
2012-09-21 14:49 duy.tranquang Note Added: 0017529
2012-09-21 16:38 fman Task Workflow Status => TBD
2012-09-21 16:38 fman Status new => closed
2012-09-21 16:38 fman Assigned To => fman
2012-09-21 16:38 fman Resolution open => fixed
2012-09-21 16:38 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker